Bug 200662 - Review Request: lostirc
Review Request: lostirc
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-30 04:04 EDT by Michael J Knox
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-08 00:45:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael J Knox 2006-07-30 04:04:41 EDT
Spec URL: http://www.knox.net.nz/~michael/lostirc.spec
SRPM URL: http://www.knox.net.nz/~michael/lostirc-0.4.6-1.src.rpm

Description: 

LostIRC is a simple, keyboard controlled IRC client.
Comment 1 Michael J Knox 2006-07-30 04:22:24 EDT
Install desktop file correctly

Spec URL: http://www.knox.net.nz/~michael/lostirc.spec
SRPM URL: http://www.knox.net.nz/~michael/lostirc-0.4.6-2.src.rpm
Comment 2 Parag AN(पराग) 2006-08-02 00:29:12 EDT
== Not an official review as I'm not yet sponsored ==
   Mock build for rawhide i386 is successfull with some warnings for source code

* MUST Items:
      - dist tag is present.
      - The package is named according to the Package Naming Guidelines.
      - The spec file name matching the base package lostirc, in the
format lostirc.spec.
      - This package meets the Packaging Guidelines.
      - The spec file for the package is legible.
      - The package is licensed with an open-source compatible license GPL.
      X This package dont have any License file.
      - The sources used to build the package matches the upstream source,
as provided in the spec URL. md5sum is correct (501cd56bc0740d599540fb415718b939
 lostirc-0.4.6.tar.gz)
    - This package successfully compiled and built into binary rpms for i386
architecture.
      - This package did not containd any ExcludeArch.
      - This package owns all directories that it creates. 
      - This package did not contain any duplicate files in the %files
listing.
      - This package  have a %clean section, which contains rm -rf
$RPM_BUILD_ROOT.
      - This package used macros.
      - Document files are included.
      - Package did NOT contained any .la libtool archives.
      X Desktop files installed twice. You can solve this problem by passing
option --delete-original to desktop-install-file

Also,
      * Source URL is present and working.
      * BuildRoot is correct BuildRoot:       
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
      * I did not test package functionality.

Comment 3 Jason Tibbitts 2006-08-13 15:36:30 EDT
I'm getting a build failure in development:

g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -Wall -o lostirc main.o
MainWindow.o MainNotebook.o Tab.o Prefs.o ServerWindow.o GuiCommands.o Entry.o
StatusBar.o TextWidget.o NickList.o DCCList.o  ../libirc/libirc.a -L/lib64
-lgtkmm-2.4 -lgtk-x11-2.0 -lgdkmm-2.4 -lgdk-x11-2.0 -lgdk_pixbuf-2.0 -lm
-lpangocairo-1.0 -lcairo -latkmm-1.6 -latk-1.0 -lpangomm-1.4 -lglibmm-2.4
-lpango-1.0 -lsigc-2.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
/usr/lib/gcc/x86_64-redhat-linux/4.1.1/../../../../lib64/libgdk-x11-2.0.so:
undefined reference to `cairo_xlib_surface_create_for_bitmap'
/usr/lib/gcc/x86_64-redhat-linux/4.1.1/../../../../lib64/libgdk-x11-2.0.so:
undefined reference to `cairo_xlib_surface_create'
/usr/lib/gcc/x86_64-redhat-linux/4.1.1/../../../../lib64/libgdk-x11-2.0.so:
undefined reference to `cairo_xlib_surface_set_size'
collect2: ld returned 1 exit status

This is the second build failure I've had like this today; I think my tree is
busted.  It builds fine on FC5.

I'm seeing two .desktop files installed: fedora-listirc.desktop and
lostirc.desktop.  It looks like the package installs its own desktop file and
then the second one gets installed when you call desktop-file-install.  I guess
you'll need to delete lostirc.desktop.

* source files match upstream:
   501cd56bc0740d599540fb415718b939  lostirc-0.4.6.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (FC5, x86_64).
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   lostirc = 0.4.6-2.fc5
  =
   /bin/sh
   libatk-1.0.so.0()(64bit)
   libatkmm-1.6.so.1()(64bit)
   libcairo.so.2()(64bit)
   libdl.so.2()(64bit)
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libgdk-x11-2.0.so.0()(64bit)
   libgdk_pixbuf-2.0.so.0()(64bit)
   libgdkmm-2.4.so.1()(64bit)
   libglib-2.0.so.0()(64bit)
   libglibmm-2.4.so.1()(64bit)
   libgmodule-2.0.so.0()(64bit)
   libgobject-2.0.so.0()(64bit)
   libgtk-x11-2.0.so.0()(64bit)
   libgtkmm-2.4.so.1()(64bit)
   libm.so.6()(64bit)
   libpango-1.0.so.0()(64bit)
   libpangocairo-1.0.so.0()(64bit)
   libpangomm-1.4.so.1()(64bit)
   libsigc-2.0.so.0()(64bit)
* %check is not present; no test suite upstream.  Manual testing shows that the
package runs fine.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets present are OK (gtk-update-icon-cache
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
X problems with desktop file installation.
* locale files installed; %find_lang called properly.
Comment 4 Michael J Knox 2006-08-20 20:06:54 EDT
Hey, just a quick ping to let you know that I am alive, just still in the throws
of unpacking/new job/etc etc. I hope to tidy this review up before/by the end of
the week. Thanks for your patience. 
Comment 5 Michael J Knox 2006-09-07 23:41:48 EDT
Sorry for the delay... 

Updated spec and srpm. I have not tested on rawhide, my local mirror is throwing
up bad checksums all the time. Need to rsync it again I think. 

Spec URL: http://www.knox.net.nz/~michael/lostirc.spec
SRPM URL: http://www.knox.net.nz/~michael/lostirc-0.4.6-3.src.rpm
Comment 6 Jason Tibbitts 2006-09-08 00:12:09 EDT
This builds fine on rawhide; the desktop problem is fixed as well.

APPROVED
Comment 7 Michael J Knox 2006-09-08 00:45:49 EDT
Imported and built. Thanks!

Note You need to log in before you can comment on or make changes to this bug.